Subject: [link-relations] Review of draft-ioseb-dzmanashvili-link-relation-00

From: Jan Algermissen <[email-masked]>
Date: Mon, 7 May 2012 20:26:39 +0200

Hi Ioseb,

I have just looked at your draft[1] and have a couple of questions:

You mention two link relations, but so far I can only see one ('form'). Which is the other one you are going to define?

What is the exact purpose of the 'form' link relation? AFAIU the client would do a GET on the link target and interpret the response body as a form for adding entries.

Can you explain a bit, what the use cases are you have in mind for this? Does it make sense to define such a relation in a general manner? Why? Do you envision the specification of certain media types for the forms to be returned?

Then you mention the use of 'form' to edit single member entries. I find this to be problematic because the meaning of the returned form (that is, the effect of submitting the form, depends on the context in which the form has been found. In one case it will be 'add a member' in the other it will be 'update a resource'.

Have you considered using media type semantics instead of link relations? It would in my opinion be better to define a form media type and make the distinction between add and edit part of the type, not of the context in which a link is found. 

.....

Have you looked at Mark Baker's RDF Forms[2]? Maybe you can build on that approach for your purpose?

Jan

[1] http://www.ietf.org/id/draft-ioseb-dzmanashvili-link-relation-00.txt
[2] http://www.markbaker.ca/2003/05/RDF-Forms/